function grid = faultmaker( thickness )

fl = length( thickness );
zonewidth = 120;

grid = zeros( fl, zonewidth);

% thickness = round(thickness);

for idx = 1: fl,
    ht = 0.5*thickness(idx);
    if ht >50, 
        ht = 50;
    end
        
    grid( idx, round(0.5*zonewidth - ht) :  round(0.5*zonewidth + ht)  ) = 1;
end

    